5.1.4.2.1. Check Enablement (General Components)
Prev | 5.1.4.2. Check Enablement | Next

#### 5.1.4.2.1. Check Enablement (General Components)

Check Enablement

- Use this action to check if the graphics component is active (manipulable) within the application.

- Parameters:

  - Enabled

  - Timeout in Millisecs

Check Enablement of Context Menu by Indexpath

- Use this action to check the enablement status of an item in a context menu.

- The item to check is given using the indexpath to the item.

- Parameters:

  - Enabled

  - Indexpath

  - Mouse Button

  - Timeout in Millisecs

| This action is unsupported for the HTML toolkit

Check Enablement of Context Menu by Indexpath (Specify Position)

- Use this action to check the enablement status of an item in a context menu.

- The item to check is given using the indexpath to the item.

- The context menu is opened at a specific place in the component, specified by the x- and y- coordinates.

- This can sometimes produce a different context menu than when you click on a specific node/cell etc.

- If you want to check a context-sensitive menu on a specific node or cell in a component, then use the action which checks the context menu without specifying the coordinate position.

- You can also define which mouse button should be used to open the context menu.

- Parameters:

  - Enabled

  - Indexpath

  - Mouse Button

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Timeout in Millisecs

| This action is unsupported for the HTML toolkit

Check Enablement of Context Menu by Textpath

- Use this action to check whether an item in a context menu is enabled.

- The item to check is given using the textpath to the item.

- Parameters:

  - Enabled

  - Textpath

  - Operator

  - Mouse Button

  - Timeout in Millisecs

| This action is unsupported for the HTML toolkit

Check Enablement of Context Menu by Textpath (Specify Position)

- Use this action to check whether an item in a context menu is enabled.

- The item to check is given using the textpath to the item.

- This action will open the context menu at the position you specify in the component.

- For some components (e.g. trees), opening a context menu somewhere else in the component can have a different effect than when you open the context menu on a specific node.

- If you want to open or check a context menu on a selected node or cell in a component, then use the action which selects the context menu without specifying the coordinate position.

- Parameters:

  - Textpath

  - Operator

  - Enabled

  - Mouse Button

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Timeout in Millisecs

| This action is unsupported for the HTML toolkit